%define name opengroupware-plr
%define version 1.0
%define cvs	20040523
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org ProjectLoginRedirector
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       Networking/Other
Prefix:	     %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic
Source:      opengroupware.org-plr-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel libxml2 libxml2-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-docapi opengroupware-docapi-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-env

%description
This package contains the ProjectLoginRedirector.

%prep

%setup -n opengroupware.org-plr


%build

source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=$RPM_BUILD_ROOT%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

#make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B
make debug=yes install GNUSTEP_INSTALLATION_DIR=$I

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%{prefix}/WOApps/PLRApp.woa

%changelog
* Wed May 26 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040523.1mdk
- 20040523
- new module
